<h1>SFTP Connection List</h1>
<a href="{% url 'core:sftpconnection_new' %}">Create New SFTP Connection</a><br><br>
<table border="1">
    <tr>
        <th>Hostname</th>
        <th>Port</th>
        <th>Actions</th>
    </tr>
    {% for sftp_connection in object_list %}
    <tr>
        <td>{{ sftp_connection.hostname }}</td>
        <td>{{ sftp_connection.port }}</td>
        <td>
            <a href="{% url 'core:sftpconnection_detail' sftp_connection.id %}">Detail</a>
            <a href="{% url 'core:sftpconnection_edit' sftp_connection.id %}">Edit</a>
            <a href="{% url 'core:sftpconnection_delete' sftp_connection.id %}">Delete</a>
            <a href="{% url 'core:sftpconnection_connect' sftp_connection.id %}">Connect</a>
        </td>
    </tr>
    {% empty %}
    <tr><td colspan="3"><b>Data is empty! Please, add data first.</b></td></tr>
    {% endfor %}
</table>